remove_if.hpp File Reference

Forward declares `boost::hana::remove_if`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::remove_if
| Remove all the elements of a monadic structure that satisfy some predicate.Given a monadic structure `xs` and a unary predicate, `remove_if` returns a new monadic structure equal to `xs` without all its elements that satisfy the predicate. This is equivalent to `filter` with a negated predicate, i.e. More...

## Detailed Description

Forward declares `boost::hana::remove_if`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)